module Admin
  module Acesso
    class UsersController < AdminController

      record_select :per_page => 5,
                    :search_on => [:login],
                    :order_by => 'login ASC',
                    :full_text_search => true,
                    :label => :description

      active_scaffold :user do |config|

        config.actions.swap :search, :field_search

        config.label = "Lista de usuários do sistema"
        config.columns = [
                          :login,
                          :password,
                          :password_confirmation,
                          :nome,
                          :email,
                          :funcao_id
                         ]


        config.columns[:login].label = "Usuário"
        config.columns[:login].sort_by :sql => "users.login"

        config.field_search.columns = :login  , :email

        config.list.columns  = :login , :nome , :email
        config.list.per_page = 5
        list.sorting = {:login => 'ASC'}

      end

      def after_update_save(record)
        Permissao.new(:user_id => record.id, :funcao_id => record.funcao_id).save!
      end

      def after_create_save(record)
        Permissao.new(:user_id => record.id, :funcao_id => record.funcao_id).save!
      end

    end
  end
end
