module Admin
  module Cadastro
    class RuasController < AdminController

      record_select :per_page => 5,
                    :search_on => [:nome],
                    :order_by => 'nome ASC',
                    :full_text_search => true,
                    :label => :description


      active_scaffold :rua do |config|

          config.actions.swap :search, :field_search

          config.label = "Cadastro de Ruas"
          config.columns = [:nome,:ubsaude,:cep,:bairro,:inicio,:fim]

          config.actions.exclude :show

          config.field_search.columns = :nome,:ubsaude,:cep
          config.columns[:ubsaude].form_ui=:select
          config.columns[:ubsaude].label="Ubsaude"

          config.columns[:ubsaude].search_sql = "ubsaude_id"

          config.list.columns  = [:nome,:ubsaude,:cep,:inicio,:fim]
          config.list.per_page = 10
          list.sorting = {:nome => 'ASC'}

        end

        def pesquisa
          @ruas = Rua.find(:all,:conditions=> ['cep = ?',"#{params[:search]}"])
          respond_to do |format|
            format.js
          end
        end
    end
  end
end
