module Borboleta
  class EncontroController < ApplicationController
    layout :layout_def

    def layout_def
      @layout_name || "application"
    end


    active_scaffold :encontro do |config|

      config.actions.exclude :create, :update
      config.action_links.add 'novo',
                              :label => 'Adicionar Novo Encontro',
                              :parameters => {
                                              :controller => 'borboleta/encontro',
                                              :action => :novo
                                             },
                              :type => :table,
                              :inline=> false
			config.action_links.add 'editar',
			                        :label => 'Editar',
			                        :parameters => {
			                                        :controller => 'borboleta/encontro',
			                                        :action => :editar
			                                       },
                               :type => :record,
                               :inline=> false
			config.actions.swap :search, :field_search

      #config.create.link.label = 'Adicionar Novo Encontro'
			config.field_search.link.label = 'Buscar Encontro'

      config.label = "Encontros Domiciliares"
      config.columns = [:pessoa_id,
                        :data,
                        :inicial,
                        :rotina,
                        :realizada,
                        :motivonaorealizacao,
                        :observacao,
                        :medidas,
                        :dificuldades,
                        :procedimentos,
                        :updated_at
                       ]


      config.columns[:data].form_ui = :date

      config.columns[:inicial].label= "Encontro inicial?"
      config.columns[:inicial].form_ui = :checkbox

      config.columns[:rotina].label= "Encontro de rotina?"
      config.columns[:rotina].form_ui = :checkbox

      config.columns[:realizada].label= "Encontro realizado?"
      config.columns[:realizada].form_ui = :checkbox

      config.columns[:motivonaorealizacao].label= "Motivo da não realização"

      config.field_search.columns = :pessoa, :data

      config.columns[:pessoa].label = "Paciente"

      config.list.columns  = :pessoa, :data
      config.list.per_page = 100
      list.sorting = {:updated_at => 'DESC'}

    end

    def novoEncontro
       encontro = Encontro.new
       encontro.data = Date.today
       encontro.inicial = encontro.realizada = encontro.rotina = true
       encontro
    end
    def novo
       @encontro = novoEncontro
    end

    def criar
      unless params[:matricula].blank?
        params[:encontro][:pessoa_id] = Pessoa.find_by_matricula(params[:matricula].to_i).id.to_s
      end

      @encontro = Encontro.new(params[:encontro])
      if  @encontro.save
        redirect_to "/borboleta/encontro/editar/#{@encontro.id}"
      else
        render :action=> :novo
      end

    end

    def editar
      @encontro = Encontro.find_by_id(params[:id])
    end


    def atualizar
      @layout_name = "empty"
      @encontro = Encontro.find_by_id(params[:id])

      unless params[:matricula].blank?
        params[:encontro][:pessoa_id] = Pessoa.find_by_matricula(params[:matricula].to_i).id.to_s
      end

      if @encontro.update_attributes(params[:encontro])
        redirect_to "/borboleta/encontro"
      else
        render :action => :editar
      end

    end

    def cancelar
      redirect_to "/borboleta/encontro"
    end

  end
end
