module Borboleta
	class EncontroagendadosController < ApplicationController

    layout :layout_def

    def layout_def
      @layout_name || "application"
    end



		active_scaffold :encontroagendados do |config|

			config.label = "Encontros Agendados"
      config.columns = [:pessoa, :data]

      config.actions.exclude :show
      config.actions.exclude :create
      config.action_links.add 'novo',
                              :label => 'Agendar um encontro',
                              :parameters => {
                                              :controller => 'borboleta/encontroagendados',
                                              :action => :novo
                                             },
                              :type => :table
      config.action_links.add 'editar',
			                        :label => 'Editar',
			                        :parameters => {
			                                        :controller => 'borboleta/encontroagendados',
			                                        :action => :editar
			                                       },
			                        :type => :record

      config.list.columns  = [:data, :pessoa]
      config.columns[:pessoa].label = "Paciente"

      config.list.per_page = 10
      list.sorting = {:data => 'ASC'}

    end

    def novo
      @layout_name = "empty"
      @encontroagendado = Encontroagendado.new
      @matricula = ''
      @data = ''
    end

    def criar
      @layout_name = "empty"

      unless params[:matricula].blank?
        params[:encontroagendado][:pessoa_id] = Pessoa.find_by_matricula(params[:matricula].to_i).id.to_s
      end

      @encontroagendado = Encontroagendado.new(params[:encontroagendado])
      if @encontroagendado.save
        respond_to do |format|
          format.js
        end
      else
        render :action => :novo
      end
    end

    def editar
      @layout_name = "empty"
      @encontroagendado = Encontroagendado.find_by_id(params[:id])
      @data = @encontroagendado.data
      @matricula = @encontroagendado.pessoa.matricula
    end

    def atualizar
      @layout_name = "empty"
      @encontroagendado = Encontroagendado.find_by_id(params[:id])

      unless params[:matricula].blank?
        params[:encontroagendado][:pessoa_id] = Pessoa.find_by_matricula(params[:matricula].to_i).id.to_s
      end

      self.successful = @encontroagendado.update_attributes(params[:encontroagendado])

      respond_to do |format|
        format.js
      end
    end

	end
end
