module Borboleta
	class SituacaoclinicaController < ApplicationController
    layout :layout_def

    def layout_def
      @layout_name || "application"
    end
		active_scaffold :situacaoclinica do |config|

			config.action_links.add 'condutas',
			                        :label => 'Condutas',
			                        :parameters => {
			                                        :controller => 'borboleta/situacaoclinica',
			                                        :action => :condutas
			                                       },
                               :type => :record,
                               :inline=> true

			config.label = "Situações clínicas"
      config.columns = [:codigocid,:evolucao,:encontro_id]
      config.columns[:codigocid].label= "CID"
      config.columns[:evolucao].label= "Evolução"
      config.columns[:condutas].label= "Condutas"


      config.list.columns  = [:codigocid,:evolucao,:encontro_id]

      config.list.per_page = 10
      list.sorting = {:codigocid => 'ASC'}

    end

    def condutas
      @layout_name = "empty"
      @situacaoclinica = Situacaoclinica.find_by_id(params[:id])
    end

    def salva_condutas
      @situacaoclinica = Situacaoclinica.find_by_id(params[:id])
      @situacaoclinica.condutas.each{|c|c.destroy}

      condutas = params[:condutas] ? params[:condutas] : Hash.new

      exames = condutas[:exames] ? condutas[:exames] : Array.new
      medicamentos = condutas[:medicamentos] ? condutas[:medicamentos] : Array.new
      dieta = condutas[:dieta]
      outro = condutas[:outro]

      lista_de_condutas = Array.new

      exames.each do |exame_id|
        exame = ExamePrescrito.new(:exame_id => exame_id)
        exame.save
        lista_de_condutas << Conduta.new(:condutavel => exame)
      end

      medicamentos.each do |medicamento|
        prescricao = Prescricao.new(:medicamento_id =>medicamento[:id],
                                    :dosagem => medicamento[:dosagem])
        prescricao.save
        lista_de_condutas << Conduta.new(:condutavel => prescricao)

      end

      dieta ||= '0'
      dieta = Dieta.new(:orientacao => dieta)
      dieta.save
      lista_de_condutas << Conduta.new(:condutavel => dieta)

      outro = Outro.new(:descricao => outro)
      outro.save
      lista_de_condutas << Conduta.new(:condutavel => outro)

      lista_de_condutas.each {|item| item.save}

      @situacaoclinica.update_attribute :condutas, lista_de_condutas

      redirect_to "/borboleta/encontro/editar/#{@situacaoclinica.encontro.id}"
    end

	end
end
