module Cadastro
  class PessoasController < ApplicationController
    layout :layout_def

    record_select :per_page => 5,
                  :search_on => [:nome],
                  :order_by => 'nome ASC',
                  :full_text_search => true,
                  :label => :description

    def layout_def
      @layout_name || "application"
    end


    active_scaffold :pessoa do |config|


			config.actions.swap :search, :field_search

      config.action_links.add :agendar_encontro,
                              :label => "Agendar um encontro",
                              :type => :record

#			config.actions.exclude :create

#      config.action_links.add 'novo',
#                              :label => 'Adicionar Novo Usuário',
#                              :parameters => {
#                                              :controller => 'cadastro/pessoas',
#                                              :action => :novo
#                                             },
#                              :type => :table,
#                              :inline=> false

			config.field_search.link.label = 'Buscar Usuário'

      config.label = "Cadastro de usuários"
      config.columns = [:matricula,
                        :datamatricula,
                        :datavigenciamatricula,
                        :tipomatricula_id,
                        :nome,
                        :apelido,
                        :datanascimento,
                        :idadepresumida,
                        :unidadeidade_id,
                        :sexo_id,
                        :raca_id,
                        :mae,
                        :pai,
                        :naturalidadecidade,
                        :naturalidadeestado_id,
                        :nacionalidade,
                        :email,
                        :enderecos,
                        :telefones,
                        :documentos,
                        :socioeconomicos,
                        :observacaos]


      config.columns[:matricula].label = "Matricula"
      config.columns[:matricula].sort_by :sql => "pessoas.matricula"

      config.columns[:enderecos].label = "Endereços"
      config.columns[:telefones].label = "Telefones"
      config.columns[:socioeconomicos].label = "Dados sócio-econômicos"
      config.columns[:documentos].label = "Documentos"
      config.columns[:observacaos].label = "Observaçoes"
      config.columns[:tipomatricula_id].label = "Tipo de matrícula"
      config.columns[:unidadeidade_id].label = "Unidade da idade"
      config.columns[:naturalidadeestado_id].label = "Naturalidade estado"

      config.columns[:datanascimento].form_ui = :date
      config.columns[:datanascimento].search_sql = "to_char(datanascimento,'dd/mm/yyyy')"


      config.field_search.columns = :matricula,:nome,:datanascimento

      config.list.columns  = :matricula,:nome,:datanascimento
      config.list.per_page = 100
      list.sorting = {:updated_at => 'DESC'}

    end

    def after_update_save(record)
      #Usado apenas para conseguir excluir os dados do cadastro
      if params[:record][:enderecos] == nil and !@record.enderecos.empty?
        params[:record][:enderecos] = []
        @record.update_attribute(:enderecos,params[:record][:enderecos])
      end

      if params[:record][:telefones] == nil and !@record.telefones.empty?
        params[:record][:telefones] = []
        @record.update_attribute(:telefones,params[:record][:telefones])
      end
      if params[:record][:documentos] == nil and !@record.documentos.empty?
        params[:record][:documentos] = []
        @record.update_attribute(:documentos,params[:record][:documentos])
      end
      if params[:record][:observacaos] == nil and !@record.observacaos.empty?
        params[:record][:observacaos] = []
        @record.update_attribute(:observacaos,params[:record][:observacaos])
      end
      if params[:record][:socioeconomicos] == nil and !@record.socioeconomicos.empty?
        params[:record][:socioeconomicos] = []
        @record.update_attribute(:socioeconomicos,params[:record][:socioeconomicos])
      end

    end

    def agendar_encontro
      @layout_name = "empty"
      @pessoa = Pessoa.find_by_id params[:id]
      if @pessoa.encontroagendado.nil?
        @data = ''
      else
        @data = @pessoa.encontroagendado.data
      end
    end

    def agendar
      @layout_name = "empty"
      @pessoa = Pessoa.find_by_id params[:id]
      data = params[:proximoencontro]
      encontroagendado = Encontroagendado.find_by_pessoa_id(@pessoa.id)

      if data.blank?
        unless encontroagendado.nil?
          encontroagendado.destroy
        end
        self.successful = true

      elsif not (data =~ /(\d?\d\-?\/?){2}\d\d\d\d/m).nil? #data não bem formatada
        if encontroagendado.nil?
          Encontroagendado.new(:pessoa_id => @pessoa.id, :data => data).save!
        else
          encontroagendado.update_attribute :data , data
        end
        self.successful = true

      else
        self.successful = false
      end

      respond_to do |format|
        format.js
      end
    end

    def novo
    	@usuario = Pessoa.new
   	end

  end
end
