module Cadastro
  class RuasconsultaController < ApplicationController
  
    record_select :per_page => 5,
                  :search_on => [:nome],
                  :order_by => 'nome ASC',
                  :full_text_search => true,
                  :label => :description
  
  
    active_scaffold :rua do |config|

        config.actions.swap :search, :field_search 

        config.label = "Consulta de ruas" 
        config.columns = [:bairro,:cep,:nome,:inicio,:fim]
      
        config.actions.exclude :delete,:update,:create
 
        config.field_search.columns = :bairro,:cep,:nome

        config.list.columns  = [:bairro,:cep,:nome,:inicio,:fim]
        config.list.per_page = 10
        list.sorting = {:bairro => 'ASC'}

      end
    
  end
end