module Examelab
  class AgendamentosController < ApplicationController

      layout :layout_def

      def layout_def
        @layout_name || "application"
      end

     active_scaffold :agendamento do |config|

        config.label = "Agendamento de Exames"

        config.actions.swap :search, :field_search

        config.columns = [:medico_responsavel,
                          :profissional_agendador,
                          :paciente,
                          :prazo_em_semanas,
                          :data_marcada,
                          :status_agendamento,
                          :eh_gestante,
                          :exame_ids
                         ]

        config.columns[:status_agendamento].form_ui = :select
        config.columns[:status_agendamento].clear_link
        config.columns[:status_agendamento].label = "Status"

        config.columns[:medico_responsavel].form_ui = :select
        config.columns[:medico_responsavel].clear_link
        config.columns[:medico_responsavel].label = "Medico responsavel"

        config.columns[:profissional_agendador].form_ui = :select
        config.columns[:profissional_agendador].clear_link
        config.columns[:profissional_agendador].label = "Profissional agendador"

        config.columns[:paciente].form_ui = :select
        config.columns[:paciente].clear_link
        config.columns[:paciente].label = "Paciente"

        config.actions.exclude :show

        config.create.columns = [:medico_responsavel,
                                 :profissional_agendador,
                                 :paciente,
                                 :prazo_em_semanas,
                                 :eh_gestante,
                                 :exame_ids
                                ]
        config.update.columns = [:medico_responsavel,
                                 :profissional_agendador,
                                 :paciente,
                                 :data_marcada,
                                 :status_agendamento,
                                 :eh_gestante,
                                 :exame_ids
                                ]
        config.list.columns  = [:data_marcada,:medico_responsavel,:paciente, :status_agendamento]
        config.list.per_page = 10

        list.sorting = {:data_marcada => 'ASC'}

        config.columns[:paciente].search_sql = 'pessoas.id'
        config.columns[:status_agendamento].search_sql = 'status_agendamentos.id'
        config.field_search.columns = [:data_marcada, :paciente, :status_agendamento]

      end

     protected

       def self.active_scaffold_controller_for(klass)
         return "Cadastro::PessoasController".constantize if klass == Pessoa
         return "#{klass}Controller".constantize rescue super
       end
  end
end
