module Borboleta::SituacaoclinicaHelper
  def adiciona item
    link_to_function image_tag("/images/active_scaffold/default/add.gif") do |page|
      page.insert_html :bottom, item , :partial => item
    end
  end

  def adiciona_dieta
    dieta = @situacaoclinica.condutas.detect{|conduta| conduta.condutavel_type == "Dieta"}
    precisa_de_dieta = dieta.nil? ? false : dieta.condutavel.orientacao
    render :partial => "dieta", :locals => {:dieta => precisa_de_dieta}
  end

  def adiciona_medicamentos
    medicamentos = @situacaoclinica.condutas.select do |conduta|
      conduta.condutavel_type == "Prescricao"
    end
    medicamentos = medicamentos.collect {|c| c.condutavel}

    html_de_medicamentos = ""
    medicamentos.each do |medicamento|
      html_de_medicamentos += render(:partial => "medicamento",
                                     :locals => {:med_id => medicamento.medicamento_id,
                                                 :med_dosagem => medicamento.dosagem
                                                }
                                    )
    end
    html_de_medicamentos
  end

  def adiciona_exames
    exames = @situacaoclinica.condutas.select{|conduta| conduta.condutavel_type == "ExamePrescrito"}
    exames = exames.collect {|c| c.condutavel}

    html_de_exames = ""
    exames.each do |exame|
      html_de_exames += render :partial => "exame", :locals => {:item_selecionado => exame.exame_id}
    end
    html_de_exames
  end

  def adiciona_outro
    outro = @situacaoclinica.condutas.detect{|conduta| conduta.condutavel_type == "Outro"}
    outro = outro.nil? ? "" : outro.condutavel.descricao
    render :partial => "outro", :locals => {:outro => outro}
  end

  def adiciona_existentes tipo
    case tipo
    when "medicamento"
      adiciona_medicamentos
    when "exame"
      adiciona_exames
    end
  end

  def adiciona_campo(nome)
    "
      <h5> #{nome.capitalize}
        #{adiciona nome}
      </h5>
      <table  id=\"#{nome}\" >
        #{adiciona_existentes nome}
      </table>
    "
  end

  def lista_de_medicamentos
    lista = Medicamento.find(:all).collect do |medicamento|
      [medicamento.nome_comercial+" - "+medicamento.concentracao ,medicamento.id]
    end
    lista
  end
end
