class Agendamento < ActiveRecord::Base

	validates_presence_of :prazo_em_semanas
  validates_presence_of :id_profissional_agendador
  validates_presence_of :id_paciente
  validates_presence_of :id_medico_responsavel

	validates_numericality_of :prazo_em_semanas, :greater_than => 0, :less_than_or_equal_to=> 99
  belongs_to :medico_responsavel, :class_name => "Pessoa", :foreign_key => "id_medico_responsavel"
  belongs_to :profissional_agendador, :class_name => "Pessoa", :foreign_key => "id_profissional_agendador"
  belongs_to :paciente, :class_name => "Pessoa", :foreign_key => "id_paciente"
  has_and_belongs_to_many :exames
  belongs_to :status_agendamento

  def to_label
    self.data_marcada
  end

  def before_create
    self.status_agendamento = StatusAgendamento.find(:all, :conditions => {:descricao => "Agendado"}).first
    self.data_marcada = self.prazo_em_semanas.weeks.from_now.to_date
  end

end
