class Cota < ActiveRecord::Base
  validates_presence_of :quantidade, :grupo, :laboratorio, :centrosaude
	validates_numericality_of :quantidade, :greater_than => 0, :less_than_or_equal_to=> 999
	validates_uniqueness_of :laboratorio_id, :scope => :grupo_id, :message => as_("Quota ja existente para laboratorio e grupo")

	belongs_to :grupo
	belongs_to :laboratorio
        belongs_to :centrosaude
end
