class Documento < ActiveRecord::Base
	belongs_to :tipodocumento
	belongs_to :pessoa

  belongs_to :estado
  belongs_to :orgaoemissor

  validates_length_of :numero, :maximum=>15, :allow_blank => true, :too_long => " pode ter no máximo %d caracteres."

  validates_format_of :descricao, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù]|[0-9])+$/, :message => " pode apenas conter letras."
  validates_length_of :descricao, :maximum=>1975, :allow_blank => true, :too_long => " pode ter no máximo %d caracteres."


  def to_s
    "documento"
  end

end
