class Encontro < ActiveRecord::Base
  extend NestedParams

  belongs_to :pessoa

  has_many :encontros_medidas, :dependent => :destroy, :order => :medida_id
  has_many :medidas , :through => :encontros_medidas

  has_many :encontros_procedimentos, :dependent => :destroy, :order => :procedimento_id
  has_many :procedimentos , :through => :encontros_procedimentos

  has_many :encontros_dificuldades, :dependent => :destroy, :order => :dificuldade_id
  has_many :dificuldades , :through => :encontros_dificuldades

  has_many :situacaoclinicas, :dependent => :destroy, :nested_params => true

  validates_presence_of :motivonaorealizacao , :unless => :realizada
  validates_presence_of :pessoa_id

end
