class Endereco < ActiveRecord::Base
  belongs_to :rua
  belongs_to :tipoendereco
  belongs_to :tipocomplemento
  belongs_to :tipocomprovante
  belongs_to :pessoa

  validates_numericality_of :numero, :only_integer => true, :allow_nil => true, :greater_than => 0, :less_than_or_equal_to=> 99999999

  validates_presence_of :rua_id, :tipocomprovante_id, :numero

  validates_format_of :complemento, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù]|[0-9])+$/, :message => " pode apenas conter letras."
  validates_length_of :complemento, :maximum=>1975, :allow_blank => true, :too_long => " pode ter no máximo %d caracteres."

  validates_date :datacomprovante, :message => " inválida, verifique o formato DD/MM/AAAA e os valores digitados."

  validates_length_of :pontoreferencia, :maximum=>500, :allow_blank => true, :too_long => " pode ter no máximo %d caracteres."



  def after_save
    self.pessoa.datavigenciamatricula = self.datacomprovante
    self.pessoa.datavigenciamatricula += 3.years
    self.pessoa.save()
  end

  def to_s
    "endereco"
  end
end
