class Exame < ActiveRecord::Base
  validates_presence_of :codigo, :nome
  validates_uniqueness_of :codigo
  validates_numericality_of :codigo, :greater_than => 0, :less_than_or_equal_to=> 9999999999
  validates_length_of :nome, :maximum=>150, :too_long => " pode ter no máximo %d caracteres."
  belongs_to :susexame
  belongs_to :laboratorio

  has_many :exame_prescritos
  has_and_belongs_to_many :pacotes
  has_and_belongs_to_many :agendamentos

  def to_label
    self.nome
  end

  def before_create
    self.ativo = true
  end

  def destroy
    self.ativo = false
    self.save!
  end

  def before_destroy

    Agendamento.find(:all).each do | agendamento |
      if agendamento.exames.include?(self)
        errors.add_to_base("Não é possivel excluir o exame, pois há pelo menos um agendamento associado a este exame!")
        return false
      end
    end

  end

end
