class Pessoa < ActiveRecord::Base
  extend NestedParams
  belongs_to :raca
  belongs_to :sexo
  belongs_to :naturalidadeestado, :class_name=> "Estado"
  belongs_to :tipomatricula
  belongs_to :unidadeidade

  has_many :usuarios , :class_name => "Pessoa", :foreign_key => "acs"
  belongs_to :acs, :class_name => "Pessoa", :foreign_key => "acs"

  has_many :observacaos, :dependent => :destroy
  has_many :telefones, :dependent => :destroy, :nested_params => true
  has_many :documentos, :dependent => :destroy
  has_many :socioeconomicos, :dependent => :destroy
  has_many :enderecos, :dependent => :destroy
  has_many :observacaos, :dependent => :destroy
  has_many :encontros, :dependent => :destroy, :nested_params => true

  has_one :encontroagendado
  #xml_serialize [:nome, "nomepaciente"], :id

	validates_uniqueness_of :matricula
  validates_date :datanascimento, :message => " inválida, verifique o formato DD/MM/AAAA e os valores digitados."

  validates_presence_of :nome
  validates_format_of :nome, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :nome, :maximum=>35, :too_long => " pode ter no máximo %d caracteres."

  validates_numericality_of :idadepresumida, :only_integer => true, :allow_nil => true, :greater_than => 0, :less_than_or_equal_to=> 999

  #validates_presence_of :apelido
  validates_format_of :apelido, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :apelido, :allow_blank => true, :maximum=>35, :too_long => " pode ter no máximo %d caracteres."

  validates_presence_of :mae
  validates_format_of :mae, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :mae, :maximum=>35, :too_long => " pode ter no máximo %d caracteres."

  #validates_presence_of :pai
  validates_format_of :pai, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :pai, :allow_blank => true, :maximum=>35, :too_long => " pode ter no máximo %d caracteres."

  #validates_presence_of :naturalidadecidade
  validates_format_of :naturalidadecidade, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :naturalidadecidade, :allow_blank => true, :maximum=>30, :too_long => " pode ter no máximo %d caracteres."

  #validates_presence_of :nacionalidade
  validates_format_of :nacionalidade, :allow_blank => true, :with => /^([a-z]|[A-Z]|[ ]|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/, :message => " pode apenas conter letras."
  validates_length_of :nacionalidade, :allow_blank => true, :maximum=>30, :too_long => " pode ter no máximo %d caracteres."

  validates_length_of :email, :allow_blank => true, :maximum=>90, :too_long => " pode ter no máximo %d caracteres."


  def to_label
    self.nome
  end

	def before_create
		unless Pessoa.count(:matricula) == 0; #Caso exista pessoas com numero de matricula
			self.matricula = Pessoa.maximum(:matricula) + 1
		else
			self.matricula = 1
		end

	end

end
