class Rua < ActiveRecord::Base

  has_many :enderecos
  belongs_to :ubsaude

  validates_presence_of :nome
  validates_length_of :nome, :maximum=>90, :too_long => " pode ter no máximo %d caracteres."

  validates_presence_of :cep
  validates_numericality_of :cep, :only_integer => true, :allow_nil => false, :greater_than => 0, :less_than_or_equal_to=> 99999999

  validates_presence_of :bairro
  validates_length_of :bairro, :maximum=>90, :too_long => " pode ter no máximo %d caracteres."

  validates_presence_of :inicio
  validates_numericality_of :inicio, :only_integer => true, :allow_nil => false, :greater_than => 0, :less_than_or_equal_to=> 99999999

  validates_presence_of :fim
  validates_numericality_of :fim, :only_integer => true, :allow_nil => false, :greater_than => 0, :less_than_or_equal_to=> 99999999

  def to_label
      self.nome
  end

end
