class Susexame < ActiveRecord::Base
  validates_presence_of :codigo, :nome, :sexo, :grupo
  validates_uniqueness_of :codigo
  validates_numericality_of :codigo, :greater_than => 0, :less_than_or_equal_to=> 999999999999999
  validates_length_of :nome, :maximum=>150, :too_long => " pode ter no máximo %d caracteres."
  
  belongs_to :grupo
  belongs_to :sexo

  def to_label
    self.nome
  end

 def before_create
    self.ativo = true
  end

  def destroy
    self.ativo = false
    self.save!
  end
  
  def before_destroy
    
    if Exame.find(:all, :conditions => {:ativo => true, :susexame_id => id.to_s}).length > 0
      errors.add_to_base("Não é possivel excluir o exame do SUS, pois há pelo menos um código interno associado à ele!")
      false
    end

  end

end