class Telefone < ActiveRecord::Base

  validates_presence_of :telefone, :nomecontato

  validates_numericality_of :telefone,
                            :only_integer => true,
                            :allow_nil => true,
                            :greater_than => 0,
                            :less_than_or_equal_to=> 9999999999

  validates_format_of :nomecontato,
                      :allow_blank => true,
                      :with => /^(\w|\s|[á-ú]|[â-û]|[ã-ũ]|[Á-Ú]|[Â-Û]|[Ã-Ũ]|[à-ù]|[À-Ù])+$/,
                      :message => " pode apenas conter letras."
  validates_length_of :nomecontato,
                      :maximum=>1975,
                      :allow_blank => true,
                      :too_long => " pode ter no máximo %d caracteres."


	belongs_to :tipotelefone
	belongs_to :pessoa
end
