#############################################################
#	Application
#############################################################
set :root_app,"/var/www/apps"
set :application, "sagui"
set :deploy_to, "#{root_app}/#{application}"

#############################################################
#	Settings
#############################################################
default_run_options[:pty] = true
set :use_sudo, true

#############################################################
#	Servers
#############################################################
set :user, "borboleta"
set :runner, "borboleta"
set :group_runner, "www-data"
set :domain, "cseb.dyndns.org"
server domain, :app, :web
role :db, domain, :primary => true

#############################################################
#	SVN Repository
#############################################################
set :repository,  "svn://ccsl.ime.usp.br/borboleta/trunk/sagui"

#############################################################
#	Passenger
#############################################################

namespace :passenger do
  desc "Restart Application"
  task :restart do
    run "touch #{current_path}/tmp/restart.txt"
  end
end

namespace :deploy do
 %w(start restart).each { |name| task name, :roles => :app do passenger.restart end }
end

namespace :deploy do
    desc "Acerta as permissoes de arquivos"
    task :after_deploy do
      run("chmod -R 755 #{current_path}")
      run("svn info #{current_path}/app | grep Revisão: > #{current_path}/app/views/layouts/_version.rhtml")
      run("echo `date` >> #{current_path}/app/views/layouts/_version.rhtml")
    end

    desc "Acerta o dono e o grupo dos diretórios criados no setup"
    task :after_setup do
      sudo("chown -R #{runner}:#{group_runner} #{root_app}")
    end

    desc "Fixtures load"
    task :fixtures_load, :roles => :db do
     run ("cd #{deploy_to}/current && rake db:fixtures:load RAILS_ENV=production")
    end
        
end

desc "First deploy"
task :init do
  top.deploy.setup
  top.deploy.update
  top.deploy.migrate
  top.deploy.fixtures_load
end


