ActionController::Routing::Routes.draw do |map|

  map.signup          '/signup'            , :controller => 'admin/acesso/users'    , :action => 'new'
  map.login           '/login'             , :controller => 'admin/acesso/sessions' , :action => 'new'
  map.logout          '/logout'            , :controller => 'admin/acesso/sessions' , :action => 'destroy'
  map.forgot_password '/forgot_password'   , :controller => 'admin/acesso/passwords', :action => 'new'
  map.reset_password  '/reset_password/:id', :controller => 'admin/acesso/passwords', :action => 'edit'

  map.resource :session , :controller => 'admin/acesso/sessions'
  map.resource :password, :controller => 'admin/acesso/passwords'

  map.namespace :sync do |sync|
    sync.resources :sync_pessoa
    sync.resources :sync_apoio
  end

  map.connect '', :controller => 'menu'

  map.exames '/borboleta/exames', :controller => 'admin/examelab/exames', :action => 'index'

  map.menu  'menu',  :controller => 'menu', :action => 'index'
  map.menuadministracao  'menuadministracao',  :controller => 'menu', :action => 'administracao'
  map.menuexame 'menuexame',  :controller => 'menu', :action => 'exame'
  map.menupessoa  'menupessoa',  :controller => 'menu', :action => 'cadastro'
  map.menuborboleta 'menuborboleta', :controller => 'menu', :action => 'borboleta'



  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'

end
