<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>

	<!-- identity transform -->
	<!-- TODO: acho q nao precisa dessa regra, verificar e remover  -->
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>


	<xsl:template match="/tabelas/procedimentos/procedimento">
		<procedimento>
			<PROC_NUM> <xsl:value-of select="id" /> </PROC_NUM>
			<PROC_NOME> <xsl:value-of select="codigo" /> </PROC_NOME>
		</procedimento>
	</xsl:template>

	<xsl:template match="/tabelas/medidas/medida">
		<medida>
			<MED_NUM> <xsl:value-of select="id" /> </MED_NUM>
			<MED_NOME> <xsl:value-of select="codigo" /> </MED_NOME>
		</medida>
	</xsl:template>

	<xsl:template match="/tabelas/medicamentos/medicamento">
		<medicamento>
			<NOMEGEN> <xsl:value-of select="nome-generico" /> </NOMEGEN>
			<GRUPO>	<xsl:value-of select="grupomedicamento/codigo" /> </GRUPO>
			<CODIGO> <xsl:value-of select="id" /> </CODIGO>
			<COMP> <xsl:value-of select="concentracao" /> </COMP>
			<APRES> <xsl:value-of select="apresentacao" /> </APRES>
			<NOMECOM> <xsl:value-of select="nome-comercial" /> </NOMECOM>
			<QUANT> <xsl:value-of select="quantidade" /> </QUANT>
			<ULTATUAL> <xsl:value-of select="updated-at" /> </ULTATUAL>
			<CMM> <xsl:value-of select="consumo" /> </CMM>
		</medicamento>
	</xsl:template>


	<xsl:template match="/tabelas/dificuldades/dificuldade">
		<dificuldade>
			<NUM_DIF> <xsl:value-of select="id" /> </NUM_DIF>
			<DIF_NOME> <xsl:value-of select="codigo" /> </DIF_NOME>
		</dificuldade>
	</xsl:template>

	<xsl:template match="/tabelas/ruas/rua">
		<rua>
			<CODRUA> <xsl:value-of select="id" /> </CODRUA>
			<ENDERECO> <xsl:value-of select="nome" /> </ENDERECO>
			<VILA> <xsl:value-of select="bairro" /> </VILA>
			<CEP> <xsl:value-of select="cep" /> </CEP>
		</rua>
	</xsl:template>

	<xsl:template match="/tabelas/cidcapitulos">
		<categoriascid>
			<xsl:apply-templates />
		</categoriascid>
	</xsl:template>

	<xsl:template match="/tabelas/cidcapitulos/cidcapitulo">
		<categoriacid>
			<CODCAT> <xsl:value-of select="id" /> </CODCAT>
			<DESCRICAO> <xsl:value-of select="descricao" /> </DESCRICAO>
		</categoriacid>
	</xsl:template>

	<xsl:template match="/tabelas/cidcategorias">
		<subcategoriascid>
			<xsl:apply-templates />
		</subcategoriascid>
	</xsl:template>

	<xsl:template match="/tabelas/cidcategorias/cidcategoria">
		<subcategoriacid>
			<CODCAT> <xsl:value-of select="cidgrupo/cidcapitulo/codigo"/> </CODCAT>
			<CODSUBCAT> <xsl:value-of select="codigo" /> </CODSUBCAT>
			<DESCRICAO> <xsl:value-of select="descricao" /> </DESCRICAO>
		</subcategoriacid>
	</xsl:template>

	<xsl:template match="/tabelas/tipocuidados">
		<tipoCuidados>
			<xsl:apply-templates />
		</tipoCuidados>
	</xsl:template>


	<xsl:template match="/tabelas/tipocuidados/tipocuidado">
		<tipoCuidado>
			<xsl:apply-templates select="id|descricao"/>
		</tipoCuidado>
	</xsl:template>


	<xsl:template match="/tabelas/exames">
		<tipoExames>
			<xsl:apply-templates />
		</tipoExames>
	</xsl:template>

	<xsl:template match="/tabelas/exames/exame">
		<tipoExame>
			<id> <xsl:value-of select="codigo" /> </id>
			<descricao> <xsl:value-of select="nome" /> </descricao>
		</tipoExame>
	</xsl:template>

	<xsl:template match="/tabelas/cidreduzidos">
		<cidReduzidos>
			<xsl:apply-templates />
		</cidReduzidos>
	</xsl:template>

	<xsl:template match="/tabelas/cidreduzidos/cidreduzido">
		<cid>
			<codigo> <xsl:value-of select="codigo" /> </codigo>
			<descricao> <xsl:value-of select="descricao" /> </descricao>
		</cid>
	</xsl:template>


</xsl:stylesheet>
