<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1" />
	  <xsl:strip-space elements="*"/>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="pessoas">
		<xsl:element name="pacientes">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="pessoas/pessoa">
		<paciente>
			<ident>
				<Q1> <xsl:value-of select="matricula" /> </Q1>
				<NOME> <xsl:value-of select="nome" /> </NOME>
				<DATANASC> <xsl:value-of select="datanascimento" /> </DATANASC>
				<SEXO> <xsl:value-of select="sexo" /> </SEXO>
				<MAE> <xsl:value-of select="mae" /> </MAE>
				<TELREC> <xsl:value-of select="telefones/telefone[tipotelefone/codigo='Borboleta']/telefone" /> </TELREC>
				<RECADOS> <xsl:value-of select="telefones/telefone[tipotelefone/codigo='Borboleta']/nomecontato" /> </RECADOS>
				<CODRUA> <xsl:value-of select="enderecos/endereco[tipoendereco/codigo='Residencial']/rua-id" /> </CODRUA>
				<COMPL> <xsl:value-of select="enderecos/endereco[tipoendereco/codigo='Residencial']/complemento" /> </COMPL>
				<NUMERO> <xsl:value-of select="enderecos/endereco[tipoendereco/codigo='Residencial']/numero" /> </NUMERO>
				<!-- TODO: nao deve ser hard-coded -->
				<DATACONS> 1900-01-01 </DATACONS>
			</ident>
			<xsl:apply-templates select="encontros|agendamentos|medicamentosusados" />
		</paciente>
	</xsl:template>

	<xsl:template match="pessoas/pessoa/encontros">
		<encontrosDomiciliares>
			<xsl:apply-templates />
		</encontrosDomiciliares>
	</xsl:template>

	<xsl:template match="pessoas/pessoa/encontros/encontro">
		<encontroDomiciliar>
			<xsl:apply-templates select="data|inicial|rotina|realizada|motivoNaoRealizacao|observacao" />
			<problemasNecessidades>
				<xsl:apply-templates select="situacaoclinicas/situacaoclinica" />
			</problemasNecessidades>
		</encontroDomiciliar>
	</xsl:template>

	<xsl:template match="pessoas/pessoa/encontros/encontro/situacaoclinicas/situacaoclinica">
		<situacaoClinica>
			<xsl:apply-templates select="id|evolucao" />
			<cid>
				<codigo> <xsl:value-of select="codigocid" /> </codigo>
				<descricao> bla </descricao>
				<!-- TODO: fazer join com a tabela de cid para pegar descricao -->
			</cid>
			<condutas>
				<xsl:apply-templates select="condutas/conduta" />
			</condutas>
		</situacaoClinica>
	</xsl:template>
	
	<xsl:template match="pessoas/pessoa/encontros/encontro/situacaoclinicas/situacaoclinica/condutas/conduta[condutavel-type='ExamePrescrito']">
		<condutaExame>
			<exame> <xsl:value-of select="condutavel/exame-id" /> </exame>
		</condutaExame>
	</xsl:template>

	<xsl:template match="pessoas/pessoa/encontros/encontro/situacaoclinicas/situacaoclinica/condutas/conduta[condutavel-type='Prescricao']">
		<condutaMedicamento>
			<medicamento>  <xsl:value-of select="condutavel/medicamento-id" /> </medicamento>
			<dosagem>  <xsl:value-of select="condutavel/dosagem" /> </dosagem>
		</condutaMedicamento>
	</xsl:template>


	<xsl:template match="pessoas/pessoa/encontros/encontro/situacaoclinicas/situacaoclinica/condutas/conduta[condutavel-type='Dieta']">
		<condutaDieta>
			<dieta><xsl:value-of select="condutavel/orientacao" /></dieta>
		</condutaDieta>
	</xsl:template>

	<xsl:template match="pessoas/pessoa/encontros/encontro/situacaoclinicas/situacaoclinica/condutas/conduta[condutavel-type='Outro']">
		<condutaOutros>
			<outros> <xsl:value-of select="condutavel/descricao" /> </outros>
		</condutaOutros>
	</xsl:template>

</xsl:stylesheet>
