<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="pacientes">
		<xsl:element name="pessoas">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="pacientes/paciente">
		<pessoa>
			<matricula> <xsl:value-of select="ident/Q1" /> </matricula>
			<nome> <xsl:value-of select="ident/NOME" /> </nome>
			<datanascimento> <xsl:value-of select="ident/DATANASC" /> </datanascimento>
			<sexo> <xsl:value-of select="ident/SEXO" /> </sexo>
			<mae> <xsl:value-of select="ident/MAE" /> </mae>
			<!-- TODO: nao deve ser hard-coded -->
			<DATACONS> 1900-01-01 </DATACONS>
			<telefones>
				<telefone>
					<nomecontato> <xsl:value-of select="ident/RECADOS" /> </nomecontato>
					<telefone> <xsl:value-of select="ident/TELREC" /> </telefone>
					<tipotelefone>
						<codigo>Borboleta</codigo>
					</tipotelefone>
				</telefone>
			</telefones>
			<enderecos>
				<endereco>
					<complemento> <xsl:value-of select="ident/COMPL" /> </complemento>
					<numero> <xsl:value-of select="ident/NUMERO" /> </numero>
					<rua-id> <xsl:value-of select="ident/CODRUA" /> </rua-id>
					<tipoendereco>
						<codigo>Residencial</codigo>
					</tipoendereco>
				</endereco>
			</enderecos>
			<xsl:apply-templates select="encontrosdomiciliares|agendamentos|medicamentosusados" />
		</paciente>
	</xsl:template>

	<xsl:template match="pacientes/paciente/encontrosdomiciliares">
		<encontros>
			<xsl:apply-templates />
		</encontros>
	</xsl:template>

	<xsl:template match="pacientes/paciente/encontrosdomiciliares/encontrodomiciliar">
		<encontro>
			<xsl:apply-templates select="data|inicial|rotina|realizada|motivoNaoRealizacao|observacao" />
			<!-- TODO: ainda nao estah definido -->
			<problemasnecessidades>
				<xsl:apply-templates select="situacaoclinica" />
			</problemasnecessidades>
		</encontro>
	</xsl:template>
</xsl:stylesheet>
