class Sagui01 < ActiveRecord::Migration

  def self.up

    create_table "agendamentos", :force => true do |t|
      t.integer  "id_medico_responsavel"
      t.integer  "id_profissional_agendador"
      t.integer  "id_paciente"
      t.integer  "prazo_em_semanas"
      t.date     "data_marcada"
      t.datetime "created_at"
      t.datetime "updated_at"
      t.boolean  "eh_gestante"
      t.date     "data_registro"
      t.integer  "status_agendamento_id"
    end

    create_table "agendamentos_exames", :id => false, :force => true do |t|
      t.integer  "agendamento_id"
      t.integer  "exame_id"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "atendentes", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "centrosaudes", :force => true do |t|
      t.string   "nome"
      t.integer  "numero_criancas"
      t.integer  "numero_adultos"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "cotas", :force => true do |t|
      t.integer  "quantidade"
      t.integer  "laboratorio_id"
      t.integer  "grupo_id"
      t.integer  "centrosaude_id"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "documentos", :force => true do |t|
      t.string   "numero"
      t.string   "descricao"
      t.integer  "tipodocumento_id"
      t.integer  "pessoa_id"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "enderecos", :force => true do |t|
      t.integer  "pessoa_id"
      t.integer  "rua_id"
      t.integer  "tipoendereco_id"
      t.integer  "tipocomplemento_id"
      t.string   "complemento"
      t.integer  "numero"
      t.date     "datacomprovante"
      t.integer  "tipocomprovante_id"
      t.string   "pontoreferencia"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "escolaridades", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "estadomaritals", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "estados", :force => true do |t|
      t.string   "codigo"
      t.string   "nome"
      t.string   "capital"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "exames", :force => true do |t|
      t.integer  "codigo"
      t.string   "nome"
      t.boolean  "ativo"
      t.datetime "created_at"
      t.datetime "updated_at"
      t.integer  "laboratorio_id"
      t.integer  "susexame_id"
    end

    create_table "exames_pacotes", :id => false, :force => true do |t|
      t.integer "pacote_id"
      t.integer "exame_id"
    end

    create_table "grupos", :force => true do |t|
      t.string   "nome"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "laboratorios", :force => true do |t|
      t.string   "nome"
      t.text     "descricao"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "observacaos", :force => true do |t|
      t.date     "data_observacao"
      t.string   "observacao"
      t.datetime "created_at"
      t.datetime "updated_at"
      t.integer  "pessoa_id"
    end

    create_table "ocupacaos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "pacotes", :force => true do |t|
      t.integer  "pacote_id"
      t.string   "nome_pacote"
      t.text     "descricao_pacote"
      t.boolean  "status_pacote"
      t.datetime "created_at"
      t.datetime "updated_at"
    end



    create_table "pessoas", :force => true do |t|
      t.string   "nome"
      t.string   "endereco"
      t.datetime "created_at"
      t.datetime "updated_at"
      t.string   "mae"
      t.integer  "raca_id"
      t.integer  "sexo_id"
      t.integer  "matricula"
      t.date     "datamatricula"
      t.date     "datavigenciamatricula"
      t.string   "apelido"
      t.date     "datanascimento"
      t.string   "pai"
      t.string   "naturalidadecidade"
      t.integer  "naturalidadeestado_id"
      t.string   "nacionalidade"
      t.boolean  "ativo"
      t.integer  "atendente"
      t.integer  "idadepresumida"
      t.integer  "unidadeidade_id"
      t.string   "email"
      t.integer  "tipomatricula_id"
    end

    add_index "pessoas", ["matricula"], :name => "index_pessoas_on_matricula", :unique => true


    create_table "racas", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "religiaos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "restricaos", :force => true do |t|
      t.date     "data"
      t.integer  "crianca"
      t.integer  "adulto"
      t.integer  "centrosaude_id"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "ruas", :force => true do |t|
      t.integer  "inicio"
      t.integer  "fim"
      t.integer  "cep"
      t.string   "nome"
      t.string   "bairro"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "sexos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "situacaofamiliars", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "socioeconomicos", :force => true do |t|
      t.integer  "pessoa_id"
      t.integer  "tempomoradia"
      t.integer  "tempoendereco"
      t.date     "dataentradapais"
      t.integer  "ocupacao_id"
      t.boolean  "registroclt"
      t.string   "outrasatividades"
      t.integer  "rendaindividual"
      t.integer  "rendadomicilio"
      t.boolean  "sabeler"
      t.boolean  "frequentaescola"
      t.string   "nomeescola"
      t.integer  "anosescola"
      t.integer  "escolaridade_id"
      t.integer  "religiao_id"
      t.integer  "tipohabitacao_id"
      t.integer  "situacaofamiliar_id"
      t.integer  "estadomarital_id"
      t.boolean  "pagaaluguel"
      t.integer  "quantopaga"
      t.integer  "qtdepessoas"
      t.integer  "qtdecomodos"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "status_agendamentos", :force => true do |t|
      t.string "descricao"
    end

    create_table "susexames", :force => true do |t|
      t.string   "codigo"
      t.string   "nome"
      t.integer  "sexo_id"
      t.integer  "grupo_id"
      t.boolean  "ativo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "telefones", :force => true do |t|
      t.string   "telefone"
      t.integer  "tipotelefone_id"
      t.string   "nomecontato"
      t.datetime "created_at"
      t.datetime "updated_at"
      t.integer  "pessoa_id"
    end

    create_table "tipocomplementos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipocomprovantes", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipodocumentos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipoenderecos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipohabitacaos", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipomatriculas", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "tipotelefones", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "unidadeidades", :force => true do |t|
      t.string   "codigo"
      t.datetime "created_at"
      t.datetime "updated_at"
    end

    create_table "users", :force => true do |t|
      t.string "login"
      t.string "email"
      t.string "hashed_password"
    end

  end

  def self.down
    drop_table "agendamentos"

    drop_table "agendamentos_exames"

    drop_table "atendentes"

    drop_table "centrosaudes"

    drop_table "cotas"

    drop_table "documentos"

    drop_table "enderecos"

    drop_table "escolaridades"

    drop_table "estadomaritals"

    drop_table "estados"

    drop_table "exames"

    drop_table "exames_pacotes"

    drop_table "grupos"

    drop_table "laboratorios"

    drop_table "observacaos"

    drop_table "ocupacaos"

    drop_table "pacotes"

    remove_index :pessoas, :matricula

    drop_table "pessoas"

    drop_table "racas"

    drop_table "religiaos"

    drop_table "restricaos"

    drop_table "ruas"

    drop_table "sexos"

    drop_table "situacaofamiliars"

    drop_table "socioeconomicos"

    drop_table "status_agendamentos"

    drop_table "susexames"

    drop_table "telefones"

    drop_table "tipocomplementos"

    drop_table "tipocomprovantes"

    drop_table "tipodocumentos"

    drop_table "tipoenderecos"

    drop_table "tipohabitacaos"

    drop_table "tipomatriculas"

    drop_table "tipotelefones"

    drop_table "unidadeidades"



  end


end
