var EditTabs = {
  selectOnLoad: function() {
    if (location.hash) { 
      var id = location.hash.substr(1);
      EditTabs.select(id + '_link', id + '_tab');
    }
  },

  selected: function() {
    return $$(".current_edit_tab").first();
  },

  currently_visible: function() {
    return $$(".visible_edit_tab").first();
  },

  clear: function() {
    var selected = EditTabs.selected();
    var visible = EditTabs.currently_visible();
    if (selected) selected.removeClassName("current_edit_tab");
    if (visible) {
      Element.hide(visible);
      visible.removeClassName("visible_edit_tab");
    }
  },

  select: function(element, element_to_show) {
    EditTabs.clear();
    $(element).addClassName("current_edit_tab");
    $(element_to_show).addClassName("visible_edit_tab");
    Element.show(element_to_show);
  },

  clearBlanks: function() {
    $$('.blank').each(function(i) { 
      if(navigator.userAgent.match(/Safari/) && i.tagName == "TEXTAREA") {
        i.innerHTML = '';
      } else {
        i.value = '';
      }
    })
  },

  validate: function() {
    var validationAlert = function(tab, message, element) {
      if($(tab + "_link")) {
        EditTabs.select(tab + "_link", tab + "_tab");
      }
      alert(message);
      element.focus();
      return false;
    }

    var pass = $('person_user_password');
    if(pass && pass.value.match(/\S/)) {
      var confirmation = $('person_user_password_confirmation');
      if(pass.value != confirmation.value) {
        return validationAlert('user_account', "The password and password confirmation do not match.", confirmation);
      }
    }

    var isPresent = function(address) {
      if(address.value.match(/^\s*$/)) {
        return validationAlert('contact_info', "The email address cannot be blank. If you want to delete it, please click the red icon to the right of it.", address);
      }
      return true;
    }

    var isValid = function(address) {
      if(!address.value.match(/[^@]+@[^@]+\.[^@]+/)) {
        return validationAlert('contact_info', "The email address does not appear to be valid. Please make sure you have formatted it correctly.", address);
      }
      return true;
    }

    var rows = $$('table.email_addresses tr');
    for(var i = 0; i < rows.length; i++) {
      var row = rows[i];
      var address = row.down('input[type=text]');
      if(address) {
        var id = row.down('input[type=hidden]');
        // if there is a hidden field, and its value does not start with a minus,
        // then it is an existing record, and it cannot be blank.
        if(id && !id.value.match(/^-/)) {
          if(!isPresent(address) || !isValid(address)) return false;

        // otherwise, if the address is not blank, it must look like a real
        // email address.
        } else if(address.value.match(/\S/)) {
          if(!isValid(address)) return false;
        }
      }
    }

    return true;
  },

  submit: function() {
    if(!EditTabs.validate()) return false;
    EditTabs.clearBlanks();
    return true;
  },

  resetNewPerson: function() {
    $('new_person_dialog').down("p.submit").down("input").enableAndRevert();
    return false;
  },

  resetNewCompany: function() {
    $('new_company_dialog').down("p.submit").down("input").enableAndRevert();
    return false;
  }
}