require File.dirname(__FILE__) + '/../spec_helper'

context "Uma situação clinica" do

  def atributos_para_situacaoclinica_valida
    return {
      :codigocid => "A00",
      :encontro_id => 1,
      :condutas => [Conduta.new],
      :evolucao => 0
    }
  end

  setup do
    @situacaoclinica = Situacaoclinica.new
  end

  specify "deve conter a evolucao do paciente"do
    @situacaoclinica.attributes = atributos_para_situacaoclinica_valida().except :evolucao
    @situacaoclinica.should_not be_valid

    @situacaoclinica.evolucao = 0
    @situacaoclinica.should be_valid
  end

  specify "deve conter um codigo de cid" do
    @situacaoclinica.attributes = atributos_para_situacaoclinica_valida().except :codigocid
    @situacaoclinica.should_not be_valid

    @situacaoclinica.codigocid = "A00"
    @situacaoclinica.should be_valid
  end

  specify "deve conter um encontro domiciliar" do
    @situacaoclinica.attributes = atributos_para_situacaoclinica_valida().except :encontro_id
    @situacaoclinica.should_not be_valid

    @situacaoclinica.encontro_id = 1
    @situacaoclinica.should be_valid
  end

  specify "deve possuir uma ou mais condutas" do
    @situacaoclinica.attributes = atributos_para_situacaoclinica_valida().except :condutas
    @situacaoclinica.should_not be_valid

    @situacaoclinica.condutas = [Conduta.new]
    @situacaoclinica.should be_valid
  end

end
