require File.dirname(__FILE__) + '/../test_helper'
require 'agendamentos_controller'

class AgendamentosControllerTest < Test::Unit::TestCase

  fixtures  :pessoas
  fixtures  :status_agendamentos
  fixtures  :agendamentos

  def setup
    @controller = AgendamentosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => agendamentos(:one).id
    assert_response :success
    assert_template 'update_form'
  end

def test_agendamento_controller_CRUD

    agendado = StatusAgendamento.find(status_agendamentos(:one).id)
    coletado = StatusAgendamento.find(status_agendamentos(:two).id)
    # CREATE
    # Get the number of records
    record_no = Agendamento.count
    # Create a new record
    
    post  :create, {"commit"=>"Create",
    :record => {"medico_responsavel"=>{"id"=>"1"}, "profissional_agendador"=>{"id"=>"1"}, "paciente"=>"1",
                "prazo_em_semanas"=>"10", "eh_gestante"=>"0"}}

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Agendamento.count

   # UPDATE
    # Get the number of records
    record_no = Agendamento.count
    # Update a record
    novo_prazo = "01/01/2009"    
    
    post :update, {"commit"=>"Update",:id=>agendamentos(:one).id,
                                      :record=>{"data_marcada"=>novo_prazo, "status_agendamento"=>{"id"=>"2"}}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Agendamento.count
    # Check that the update took place
    ag = Agendamento.find(agendamentos(:one).id)
    
    assert_equal  ag.data_marcada.to_s, novo_prazo
    assert_equal coletado.descricao, ag.status_agendamento.descricao

    # DELETE
    record_no = Agendamento.count
    delete  :destroy, :id => agendamentos(:one).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Agendamento.count
  end

end
