require File.dirname(__FILE__) + '/../test_helper'
require 'centrosaudes_controller'

class CentrosaudesControllerTest < Test::Unit::TestCase
   fixtures  :centrosaudes

  def setup
    @controller = CentrosaudesController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => centrosaudes(:one).id
    assert_response :success
    assert_template 'update_form'
  end

def test_centrosaude_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Centrosaude.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"nome"=>"CSE Teste", "numero_criancas"=>50, "numero_adultos"=>60}}

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Centrosaude.count

    # UPDATE
    # Get the number of records
    record_no = Centrosaude.count
    # Update a record
    new_centro_name = "CSE"
    put :update, {"commit"=>"Update",:id=>centrosaudes(:one).id,
                                      :record=>{"nome"=>new_centro_name}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Centrosaude.count
    # Check that the update took place
    centro = Centrosaude.find(centrosaudes(:one).id)
    assert_equal  new_centro_name, centro.nome

    # DELETE
    # Get the number of records
    record_no = Centrosaude.count
    # Delete a record
    delete  :destroy, :id => centrosaudes(:one).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Centrosaude.count
  end

end
