require File.dirname(__FILE__) + '/../test_helper'

class CotasControllerTest < ActionController::TestCase

  fixtures :grupos
  fixtures :laboratorios
  fixtures :centrosaudes
  fixtures :cotas

  def setup
    @controller = CotasController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => cotas(:one).id
    assert_response :success
    assert_template 'update_form'
  end

def test_cotas_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Cota.count
    # Create a new record
    post  :create, {"commit"=>"Create",
    :record => {"laboratorio"=>{"id"=>"1"}, "centrosaude"=>{"id"=>"1"}, "grupo"=>{"id"=>"1"},
                "quantidade"=>"10"}}

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Cota.count

   # UPDATE
    # Get the number of records
    record_no = Cota.count
    # Update a record
    nova_quant = 15
    put :update, {"commit"=>"Update",:id=>cotas(:one).id,
                                      :record=>{"quantidade"=>nova_quant}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Cota.count
    # Check that the update took place
    cota = Cota.find(cotas(:one).id)
    assert_equal  cota.quantidade, nova_quant

    # DELETE
    record_no = Cota.count
    delete  :destroy, :id => cotas(:one).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Cota.count
  end
end
