require File.dirname(__FILE__) + '/../test_helper'
require 'escolaridades_controller'

class EscolaridadesControllerTest < Test::Unit::TestCase
  fixtures  :escolaridades

  def setup
    @controller = EscolaridadesController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => escolaridades(:escolaridades_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => escolaridades(:escolaridades_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_escolaridade_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Escolaridade.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Superior"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Escolaridade.count

    # UPDATE
    # Get the number of records
    record_no = Escolaridade.count
    # Update a record
    new_escolaridade_code = "Analfabeto"
    put :update, {"commit"=>"Update",:id=>escolaridades(:escolaridades_001).id,
                                      :record=>{"codigo"=>new_escolaridade_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Escolaridade.count
    # Check that the update took place
    escolaridade = Escolaridade.find(escolaridades(:escolaridades_001).id)
    assert_equal  new_escolaridade_code, escolaridade.codigo

    # DELETE
    # Get the number of records
    record_no = Escolaridade.count
    # Delete a record
    delete  :destroy, :id => escolaridades(:escolaridades_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Escolaridade.count    
  end

end