require File.dirname(__FILE__) + '/../test_helper'
require 'estados_controller'

class EstadosControllerTest < Test::Unit::TestCase
  fixtures  :estados

  def setup
    @controller = EstadosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => estados(:row1).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => estados(:row1).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_estado_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Estado.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Alagoas"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Estado.count

    # UPDATE
    # Get the number of records
    record_no = Estado.count
    # Update a record
    new_estado_code = "DF"
    put :update, {"commit"=>"Update",:id=>estados(:row1).id,
                                      :record=>{"codigo"=>new_estado_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Estado.count
    # Check that the update took place
    estado = Estado.find(estados(:row1).id)
    assert_equal  new_estado_code, estado.codigo

    # DELETE
    # Get the number of records
    record_no = Estado.count
    # Delete a record
    delete  :destroy, :id => estados(:row1).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Estado.count
  end

end