require File.dirname(__FILE__) + '/../test_helper'
require 'estadomaritals_controller'

class EstadomaritalsControllerTest < Test::Unit::TestCase
  fixtures  :estadomaritals

  def setup
    @controller = EstadomaritalsController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => estadomaritals(:estadomaritals_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => estadomaritals(:estadomaritals_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_estadomarital_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Estadomarital.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Solteiro"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Estadomarital.count

    # UPDATE
    # Get the number of records
    record_no = Estadomarital.count
    # Update a record
    new_estadomarital_code = "Casado"
    put :update, {"commit"=>"Update",:id=>estadomaritals(:estadomaritals_001).id,
                                      :record=>{"codigo"=>new_estadomarital_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Estadomarital.count
    # Check that the update took place
    estadomarital = Estadomarital.find(estadomaritals(:estadomaritals_001).id)
    assert_equal  new_estadomarital_code, estadomarital.codigo

    # DELETE
    # Get the number of records
    record_no = Estadomarital.count
    # Delete a record
    delete  :destroy, :id => estadomaritals(:estadomaritals_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Estadomarital.count    
  end

end