require File.dirname(__FILE__) + '/../test_helper'
require 'exames_controller'

class ExamesControllerTest < Test::Unit::TestCase

  fixtures  :exames
  fixtures  :sexos
  fixtures  :grupos

  def setup
    @controller = ExamesController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => exames(:one).id
    assert_response :success
    assert_template 'update_form'
  end

def test_exame_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Exame.count
    # Create a new record
    post  :create, {"commit"=>"Create",
		:record => {"codigo"=>"101", "nome"=>"teste", "grupo"=>{"id"=>"1"}, "sexo"=>{"id"=>"1"}}
                }

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Exame.count

   # UPDATE
    # Get the number of records
    record_no = Exame.count
    # Update a record
    novo_nome = "teste2"
    ex = Exame.find(:first, :conditions => {:nome => "teste"})
    put :update, {"commit"=>"Update",:id=> ex.id,
                                      :record=>{"nome"=>novo_nome}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Exame.count
    # Check that the update took place
    ex = Exame.find(ex.id)
    assert_equal  ex.nome, novo_nome

    # DELETE
    delete  :destroy, :id => ex.id
    ex = Exame.find(ex.id)
    assert_equal  ex.ativo, false
  end

end
