require File.dirname(__FILE__) + '/../test_helper'
require 'grupos_controller'

class GruposControllerTest < Test::Unit::TestCase

  fixtures :grupos

  def setup
    @controller = GruposController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => grupos(:one).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => grupos(:one).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_grupo_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Grupo.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"nome"=>"Grupao"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Grupo.count

    # UPDATE
    # Get the number of records
    record_no = Grupo.count
    # Update a record
    new_grupo_name = "Grupinho"
    gr = Grupo.find(:first, :conditions => {:nome => "Grupao"})
    put :update, {"commit"=>"Update",:id=> gr.id,
                                      :record=>{"nome"=>new_grupo_name}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Grupo.count
    # Check that the update took place
    grupo = Grupo.find(gr.id)
    assert_equal  new_grupo_name, grupo.nome

    # DELETE
    # Get the number of records
    record_no = Grupo.count
    # Delete a record
    delete  :destroy, :id => gr.id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Grupo.count
  end

end
