require File.dirname(__FILE__) + '/../test_helper'
require 'laboratorios_controller'

class LaboratoriosControllerTest < Test::Unit::TestCase
  fixtures  :laboratorios

  def setup
    @controller = LaboratoriosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => laboratorios(:one).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => laboratorios(:one).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

  def test_laboratorio_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Laboratorio.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"nome"=>"LaboratorioTest", "descricao"=>"descrição Teste"}}

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Laboratorio.count

    # UPDATE
    # Get the number of records
    record_no = Laboratorio.count
    # Update a record
    new_lab_name = "LabTest"
    put :update, {"commit"=>"Update",:id=>laboratorios(:one).id,
                                      :record=>{"nome"=>new_lab_name}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Laboratorio.count
    # Check that the update took place
    laboratorio = Laboratorio.find(laboratorios(:one).id)
    assert_equal  new_lab_name, laboratorio.nome

    # DELETE
    # Get the number of records
    record_no = Laboratorio.count
    # Delete a record
    delete  :destroy, :id => laboratorios(:one).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Laboratorio.count    
  end
end
