require File.dirname(__FILE__) + '/../test_helper'
require 'ocupacaos_controller'

class OcupacaosControllerTest < Test::Unit::TestCase
  fixtures  :ocupacaos

  def setup
    @controller = OcupacaosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => ocupacaos(:row1).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => ocupacaos(:row1).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_ocupacao_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Ocupacao.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Enfermeiro"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Ocupacao.count

    # UPDATE
    # Get the number of records
    record_no = Ocupacao.count
    # Update a record
    new_ocupacao_code = "Professor"
    put :update, {"commit"=>"Update",:id=>ocupacaos(:row1).id,
                                      :record=>{"codigo"=>new_ocupacao_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Ocupacao.count
    # Check that the update took place
    ocupacao = Ocupacao.find(ocupacaos(:row1).id)
    assert_equal  new_ocupacao_code, ocupacao.codigo

    # DELETE
    # Get the number of records
    record_no = Ocupacao.count
    # Delete a record
    delete  :destroy, :id => ocupacaos(:row1).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Ocupacao.count
  end

end