require File.dirname(__FILE__) + '/../test_helper'
require 'racas_controller'

class RacasControllerTest < Test::Unit::TestCase
  fixtures  :racas

  def setup
    @controller = RacasController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => racas(:racas_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => racas(:racas_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_raca_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Raca.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Branco"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Raca.count

    # UPDATE
    # Get the number of records
    record_no = Raca.count
    # Update a record
    new_raca_code = "Feminino"
    put :update, {"commit"=>"Update",:id=>racas(:racas_001).id,
                                      :record=>{"codigo"=>new_raca_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Raca.count
    # Check that the update took place
    raca = Raca.find(racas(:racas_001).id)
    assert_equal  new_raca_code, raca.codigo

    # DELETE
    # Get the number of records
    record_no = Raca.count
    # Delete a record
    delete  :destroy, :id => racas(:racas_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Raca.count    
  end

end