require File.dirname(__FILE__) + '/../test_helper'
require 'religiaos_controller'

class ReligiaosControllerTest < Test::Unit::TestCase
  fixtures  :religiaos

  def setup
    @controller = ReligiaosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => religiaos(:religiaos_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => religiaos(:religiaos_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_religiao_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Religiao.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Budista"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Religiao.count

    # UPDATE
    # Get the number of records
    record_no = Religiao.count
    # Update a record
    new_religiao_code = "Xintoísta"
    put :update, {"commit"=>"Update",:id=>religiaos(:religiaos_001).id,
                                      :record=>{"codigo"=>new_religiao_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Religiao.count
    # Check that the update took place
    religiao = Religiao.find(religiaos(:religiaos_001).id)
    assert_equal  new_religiao_code, religiao.codigo

    # DELETE
    # Get the number of records
    record_no = Religiao.count
    # Delete a record
    delete  :destroy, :id => religiaos(:religiaos_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Religiao.count    
  end

end