require File.dirname(__FILE__) + '/../test_helper'

require 'restricaos_controller'

class RestricaosControllerTest < Test::Unit::TestCase

  fixtures  :centrosaudes

  def setup
    @controller = RestricaosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => restricaos(:one).id
    assert_response :success
    assert_template 'update_form'
  end

def test_restricao_controller_CRUD
    # CREATE
    # Get the number of records
    record_no = Restricao.count
    # Create a new record
    post  :create, {"commit"=>"Create",
    :record => {"data"=> Date.today.to_s, "crianca"=> "5", "adulto" => "5", "centrosaude"=>{"id"=>"1"}}}

    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Restricao.count

   # UPDATE
    # Get the number of records
    record_no = Restricao.count
    # Update a record
    novo_criancas = 10
    put :update, {"commit"=>"Update",:id=>restricaos(:one).id,
                                      :record=>{"crianca"=>novo_criancas}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Restricao.count
    # Check that the update took place
    re = Restricao.find(:first, :conditions => {:id=>restricaos(:one).id})
    assert_equal  re.crianca, novo_criancas

    # DELETE
    delete  :destroy, :id => restricaos(:one).id
    assert_nil Restricao.find(:first, :conditions => {:id=>restricaos(:one).id})

  end

end