require File.dirname(__FILE__) + '/../test_helper'
require 'sexos_controller'

class SexosControllerTest < Test::Unit::TestCase
  fixtures  :sexos

  def setup
    @controller = SexosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => sexos(:sexos_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => sexos(:sexos_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_sexo_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Sexo.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Masculino"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Sexo.count

    # UPDATE
    # Get the number of records
    record_no = Sexo.count
    # Update a record
    new_sexo_code = "Feminino"
    put :update, {"commit"=>"Update",:id=>sexos(:sexos_001).id,
                                      :record=>{"codigo"=>new_sexo_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Sexo.count
    # Check that the update took place
    sexo = Sexo.find(sexos(:sexos_001).id)
    assert_equal  new_sexo_code, sexo.codigo

    # DELETE
    # Get the number of records
    record_no = Sexo.count
    # Delete a record
    delete  :destroy, :id => sexos(:sexos_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Sexo.count    
  end

end