require File.dirname(__FILE__) + '/../test_helper'
require 'tipocomplementos_controller'

class TipocomplementosControllerTest < Test::Unit::TestCase
  fixtures  :tipocomplementos

  def setup
    @controller = TipocomplementosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => tipocomplementos(:tipocomplementos_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => tipocomplementos(:tipocomplementos_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_tipocomplemento_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Tipocomplemento.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Apto"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Tipocomplemento.count

    # UPDATE
    # Get the number of records
    record_no = Tipocomplemento.count
    # Update a record
    new_tipocomplemento_code = "Bloco"
    put :update, {"commit"=>"Update",:id=>tipocomplementos(:tipocomplementos_001).id,
                                      :record=>{"codigo"=>new_tipocomplemento_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Tipocomplemento.count
    # Check that the update took place
    tipocomplemento = Tipocomplemento.find(tipocomplementos(:tipocomplementos_001).id)
    assert_equal  new_tipocomplemento_code, tipocomplemento.codigo

    # DELETE
    # Get the number of records
    record_no = Tipocomplemento.count
    # Delete a record
    delete  :destroy, :id => tipocomplementos(:tipocomplementos_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Tipocomplemento.count    
  end

end