require File.dirname(__FILE__) + '/../test_helper'
require 'tipocomprovantes_controller'

class TipocomprovantesControllerTest < Test::Unit::TestCase
  fixtures  :tipocomprovantes

  def setup
    @controller = TipocomprovantesController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => tipocomprovantes(:tipocomprovantes_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => tipocomprovantes(:tipocomprovantes_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_tipocomprovante_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Tipocomprovante.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Conta de Luz"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Tipocomprovante.count

    # UPDATE
    # Get the number of records
    record_no = Tipocomprovante.count
    # Update a record
    new_tipocomprovante_code = "Conta de Água"
    put :update, {"commit"=>"Update",:id=>tipocomprovantes(:tipocomprovantes_001).id,
                                      :record=>{"codigo"=>new_tipocomprovante_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Tipocomprovante.count
    # Check that the update took place
    tipocomprovante = Tipocomprovante.find(tipocomprovantes(:tipocomprovantes_001).id)
    assert_equal  new_tipocomprovante_code, tipocomprovante.codigo

    # DELETE
    # Get the number of records
    record_no = Tipocomprovante.count
    # Delete a record
    delete  :destroy, :id => tipocomprovantes(:tipocomprovantes_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Tipocomprovante.count    
  end

end