require File.dirname(__FILE__) + '/../test_helper'
require 'tipoenderecos_controller'

class TipoenderecosControllerTest < Test::Unit::TestCase
  fixtures  :tipoenderecos

  def setup
    @controller = TipoenderecosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => tipoenderecos(:tipoenderecos_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => tipoenderecos(:tipoenderecos_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_tipoendereco_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Tipoendereco.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Rua"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Tipoendereco.count

    # UPDATE
    # Get the number of records
    record_no = Tipoendereco.count
    # Update a record
    new_tipoendereco_code = "Quebrada"
    put :update, {"commit"=>"Update",:id=>tipoenderecos(:tipoenderecos_001).id,
                                      :record=>{"codigo"=>new_tipoendereco_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Tipoendereco.count
    # Check that the update took place
    tipoendereco = Tipoendereco.find(tipoenderecos(:tipoenderecos_001).id)
    assert_equal  new_tipoendereco_code, tipoendereco.codigo

    # DELETE
    # Get the number of records
    record_no = Tipoendereco.count
    # Delete a record
    delete  :destroy, :id => tipoenderecos(:tipoenderecos_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Tipoendereco.count    
  end

end