require File.dirname(__FILE__) + '/../test_helper'
require 'tipohabitacaos_controller'

class TipohabitacaosControllerTest < Test::Unit::TestCase
  fixtures  :tipohabitacaos

  def setup
    @controller = TipohabitacaosController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => tipohabitacaos(:tipohabitacaos_001).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => tipohabitacaos(:tipohabitacaos_001).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_tipohabitacao_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Tipohabitacao.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Superior"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Tipohabitacao.count

    # UPDATE
    # Get the number of records
    record_no = Tipohabitacao.count
    # Update a record
    new_tipohabitacao_code = "Analfabeto"
    put :update, {"commit"=>"Update",:id=>tipohabitacaos(:tipohabitacaos_001).id,
                                      :record=>{"codigo"=>new_tipohabitacao_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Tipohabitacao.count
    # Check that the update took place
    tipohabitacao = Tipohabitacao.find(tipohabitacaos(:tipohabitacaos_001).id)
    assert_equal  new_tipohabitacao_code, tipohabitacao.codigo

    # DELETE
    # Get the number of records
    record_no = Tipohabitacao.count
    # Delete a record
    delete  :destroy, :id => tipohabitacaos(:tipohabitacaos_001).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Tipohabitacao.count    
  end

end