require File.dirname(__FILE__) + '/../test_helper'
require 'tipotelefones_controller'

class TipotelefonesControllerTest < Test::Unit::TestCase
  fixtures  :tipotelefones

  def setup
    @controller = TipotelefonesController.new
    @request = ActionController::TestRequest.new
    @response = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_new
    get :new
    assert_response :success
    assert_template 'create_form'
  end

  def test_edit
    get :edit, :id => tipotelefones(:one).id
    assert_response :success
    assert_template 'update_form'
  end

  def test_show
    get :show, :id => tipotelefones(:one).id
    assert_response 404
    assert_template 'unknown_action.erb'
  end

def test_tipotelefone_controller_CRUD

    # CREATE
    # Get the number of records
    record_no = Tipotelefone.count
    # Create a new record
    post  :create, {"commit"=>"Create", :record=>{"codigo"=>"Celular"}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has been increased by 1
    assert_equal  record_no+1, Tipotelefone.count

    # UPDATE
    # Get the number of records
    record_no = Tipotelefone.count
    # Update a record
    new_tipotelefone_code = "Feminino"
    put :update, {"commit"=>"Update",:id=>tipotelefones(:one).id,
                                      :record=>{"codigo"=>new_tipotelefone_code}}
    # Assert that the record is not nil
    assert_not_nil  assigns("record")
    # Look that the number of records has stayed the same
    assert_equal  record_no, Tipotelefone.count
    # Check that the update took place
    tipotelefone = Tipotelefone.find(tipotelefones(:one).id)
    assert_equal  new_tipotelefone_code, tipotelefone.codigo

    # DELETE
    # Get the number of records
    record_no = Tipotelefone.count
    # Delete a record
    delete  :destroy, :id => tipotelefones(:one).id
    # Look that the number of records has been decreased by 1
    assert_equal  record_no-1, Tipotelefone.count    
  end

end