require "#{File.dirname(__FILE__)}/../test_helper"

class UserStoriesTest < ActionController::IntegrationTest
  fixtures :users

  def test_multiple_users_register_login
    
    
    user = {:login=> 'helves', :email=> 'helves@domingues.org', :password=> 'teste', :password_confirmation=> 'teste'}
    register_user user
    
    helves = registered_user
    eugene = registered_user
    lauren = registered_user

    eugene.logs_in 'eugene', 'secret'
    lauren.logs_in 'lauren', 'secret'
    
    helves.logs_in_wrong 'helves', 'erro'
    helves.logs_in_wrong 'naoexiste', 'teste'


    helves.logs_in 'helves', 'teste'


    eugene.logs_out
    lauren.logs_out
    helves.logs_out
    
  end

  private
    def register_user(user_hash)
     get '/signup'

     assert_response :success
     assert_template 'new'

     post '/users/create', :user => user_hash

     assert assigns(:user).valid?
     assert_response :redirect
     assert_redirected_to :controller => 'menu'

   end
  
   def registered_user
      open_session do |user|
        
        def user.logs_in_wrong(login, password)
           get '/login'

           assert_response :success
           assert_template 'login'

           post '/login', :login => login, :password => password

           assert_template 'login'
           assert flash.has_key?(:notice)

         end
        
        
        def user.logs_in(login, password)
          get '/login'

          assert_response :success
          assert_template 'login'

          post '/login', :login => login, :password => password

          assert_response :redirect
          assert_redirected_to :controller => 'menu'

          follow_redirect!

          assert_response :success
          assert_template 'index'
          assert session[:user_id]
        end

        def user.logs_out
          get '/logout'

          assert_response :redirect
          assert_redirected_to :action => 'login'
          assert_nil session[:user]

          follow_redirect!

          assert_template 'login'
        end
        
      end
    end
end
