require File.dirname(__FILE__) + '/../test_helper'

class AgendamentoTest < ActiveSupport::TestCase

  def test_create_read_delete

    # cria um novo agendamento
    agnovo = Agendamento.new(:id_medico_responsavel => '1',
    :id_profissional_agendador => '1',
    :id_paciente => '1',
    :prazo_em_semanas => '10',
    :eh_gestante => 't',
    :data_marcada => "12/12/1983")

    # salva agendamento
    assert agnovo.save

    # recupera agendamento criado
    agfind = Agendamento.find(agnovo.id)

    # compara nome
    assert_equal agnovo.data_marcada, agfind.data_marcada

    # apaga agendamento teste
    assert agnovo.destroy

  end

  def test_create_read_delete_not_complete

    # cria um novo agendamento com dados nao completos
    assert !Agendamento.new(:prazo_em_semanas => '10', :eh_gestante => 't', :data_marcada => "12/12/1983").valid?


  end

    def test_create_with_invalid_values
    # Tenta criar um novo agendamento vazio
    assert !Agendamento.new(nil).valid?

    # Tentativa de criar um novo agendamento com data vazia
    assert !Agendamento.new(:prazo_em_semanas => '10', :eh_gestante => 't').valid?

    # Tentatia de criar um novo agendamento com prazo em semanas vazia
    assert !Agendamento.new(:eh_gestante => 't', :data_marcada => "12/12/1983").valid?

  end
end
