require File.dirname(__FILE__) + '/../test_helper'

class CotaTest < ActiveSupport::TestCase
  fixtures :laboratorios, :grupos, :centrosaudes

  def test_insert_remove

    # cria uma nova cota
    cotanovo = Cota.new(
    :quantidade => '10',
    :laboratorio_id => '1',
    :grupo_id => '1',
    :centrosaude_id => '1'
    )

    # salva cota
    assert cotanovo.save

    # recupera cota criado
    cotafind = Cota.find(cotanovo.id)

    # compara cota
    assert_equal cotanovo.laboratorio_id, cotafind.laboratorio_id

    # apaga cota teste
    assert cotanovo.destroy
  end

  def test_create_read_delete_not_complete

    # cria uma nova cota com dados nao completos
    assert !Cota.new(:quantidade => '10', :laboratorio_id => '1', :grupo_id => '1').valid?

  end

    def test_create_with_invalid_values
    # Tenta criar uma cota vazia
    assert !Cota.new(nil).valid?

    # Tentativa de criar uma nova cota com quantidade negativa
    assert !Cota.new(:quantidade => '-1', :laboratorio_id => '1', :grupo_id => '1', :centrosaude_id => '1').valid?

    end
end
