require File.dirname(__FILE__) + '/../test_helper'

class EnderecoTest < ActiveSupport::TestCase
  
fixtures  :ruas
  
def test_include_Endereco_General
    assert !Endereco.new(nil).valid?
    assert !Endereco.new(:rua_id=> ruas(:row2).id).valid?
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942").valid?
    assert !Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"DB").valid?
end

def test_include_Endereco_Specific
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:complemento=>"apto 42").valid?
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:complemento=>"barraca").valid?
    
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:numero=>"42").valid?
    assert !Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:numero=>"DB").valid?

    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:datacomprovante=>"12/12/1942").valid?
    assert !Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:datacomprovante=>"DB").valid?
    
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:pontoreferencia=>"esquina da tia maria").valid?
    assert Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:pontoreferencia=>"Email @").valid?    
end 

def test_after_save
  ps = Pessoa.new(:nome=>"Joselindo da Silva", :mae=>"Ana Claudia",:datanascimento=>"12/12/1990")  
  en = Endereco.new(:rua_id=> ruas(:row2).id,:datacomprovante=>"12/12/1942",:complemento=>"apto 42")
  en.pessoa = ps
  assert en.after_save
end

end
