require File.dirname(__FILE__) + '/../test_helper'

class RuaTest < ActiveSupport::TestCase
  
def test_include_Rua_completo
  assert Rua.new(:bairro=>"Butanta",:cep=>888,:nome=>"Aleluia",:inicio=>1, :fim=>100).valid?
end

def test_include_Rua_nil
  assert !Rua.new(nil).valid?
end

def test_include_Rua_campo_nil

  assert !Rua.new(:bairro=>nil, :cep=>04561000, :nome=>"Aleluia", :inicio=>1, :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>nil, :nome=>"Aleluia", :inicio=>1, :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>04561000, :nome=>nil, :inicio=>1, :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>04561000, :nome=>"Aleluia", :inicio=>nil, :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>04561000, :nome=>"Aleluia", :inicio=>1, :fim=>nil ).valid?
end

def test_include_Rua_campo_numerico
  assert !Rua.new(:bairro=>"Butanta", :cep=>"asdf", :nome=>"Aleluia", :inicio=>1, :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>04561000, :nome=>"Aleluia", :inicio=>"asdf", :fim=>100 ).valid?
  assert !Rua.new(:bairro=>"Butanta", :cep=>04561000, :nome=>"Aleluia", :inicio=>1, :fim=>"asdf" ).valid?
end
end
