require File.dirname(__FILE__) + '/../test_helper'

class SocioeconomicoTest < ActiveSupport::TestCase
def test_include_Socioeconomico_General
    assert Socioeconomico.new(nil).valid?
    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000).valid?

    assert !Socioeconomico.new(:quantopaga=>"nada",:rendaindividual=>50000,:rendadomicilio=>230000).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>"nada",:rendadomicilio=>230000).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>"zero").valid?

end

def test_include_Pessoa_Specific
    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:tempomoradia=>123).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:tempomoradia=>"abc").valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:tempoendereco=>123).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:tempoendereco=>"abc").valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:dataentradapais=>"19/6/2008").valid?
    #assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:dataentradapais=>"42/19/42").valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:outrasatividades=>"abc").valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:outrasatividades=>987).valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:nomeescola=>"asdf").valid?
    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:nomeescola=>987).valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:anosescola=>23).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:anosescola=>"abc").valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:qtdepessoas=>10).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:qtdepessoas=>"abc").valid?

    assert Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:qtdecomodos=>12).valid?
    assert !Socioeconomico.new(:quantopaga=>200000,:rendaindividual=>50000,:rendadomicilio=>230000,:qtdecomodos=>"abc").valid?

end
end
